﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace HierarchicalGrouping_InModel
{
    public class WebSite
    {
        public Int32 id { get; set; }
        public String name { get; set; }
        public String icon { get; set; }

        public WebSite()
        {
        }

        public ObservableCollection<Picture> Pictures { get; set; }
        public Object PicturesByMonth//IEnumerable<IDictionary<String, Picture>>
        {
            get
            {
                var result =
                      from p in Pictures
                      group p by new { p.month } into pg
                      select new { Month = pg.Key, Items = pg };
                return result;
            }
        }
    }
}