﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace HierarchicalGrouping_ValueConverter
{
    public class SampleDataSource : ObservableCollection<WebSite>
    {
        public SampleDataSource()
        {
            WebSite w;
            Picture p;

            w = new WebSite();
            w.id = 1;
            w.name = "Site 1";
            w.icon = "site1.ico";
            w.Pictures = new ObservableCollection<Picture>();
            p = new Picture();
            p.date = DateTime.Now.AddMonths(1);
            p.path = "Pic1";
            w.Pictures.Add(p);

            p = new Picture();
            p.date = DateTime.Now.AddMonths(1);
            p.path = "Pic11";
            w.Pictures.Add(p);

            p = new Picture();
            p.date = DateTime.Now.AddMonths(2);
            p.path = "Pic2";
            w.Pictures.Add(p);

            p = new Picture();
            p.date = DateTime.Now.AddMonths(2);
            p.path = "Pic22";
            w.Pictures.Add(p);

            this.Add(w);

            w = new WebSite();
            w.id = 2;
            w.name = "Site 2";
            w.icon = "site2.ico";
            w.Pictures = new ObservableCollection<Picture>();
            p = new Picture();
            p.date = DateTime.Now;
            p.path = "Pic3";
            w.Pictures.Add(p);

            p = new Picture();
            p.date = DateTime.Now;
            p.path = "Pic33";
            w.Pictures.Add(p);

            this.Add(w);
        }
    }
}